// ランダム点灯
int LedPin[]={5,4,3};
int ColorPin[]={9,10,11};
int Col[8][3]={{0,0,0},{0,0,1},{0,1,0},{0,1,1},{1,0,0},{1,0,1},{1,1,0},{1,1,1}};
int ColorSeq[100];
int n= sizeof(ColorSeq) / sizeof(int);
float dly=5; //LEDモジュール切替時間
int duration=4; //LED点灯時間
int pin=0; //LEDモジュール番号
int bright=20; //LEDの明るさ(0〜255)
int pos=0;

void setup() {
  for (int i=0; i<3; i++){
    pinMode(LedPin[i],OUTPUT);
    pinMode(ColorPin[i],OUTPUT);
  }
  for (int i=0; i<n; i++){
    ColorSeq[i]=random(0,8);
  }
}
void loop() {
  for (int pos=0; pos<n-2; pos++){
    for (int pin=0; pin<3; pin++){
      for (int count=0; count<duration; count++){
        for (int i=0; i<3; i++){
          digitalWrite(LedPin[0],LOW);
          digitalWrite(LedPin[1],LOW);
          digitalWrite(LedPin[2],LOW);
          digitalWrite(LedPin[i],HIGH);
          for (int j=0; j<3; j++){
            int c=random(7);
            analogWrite(ColorPin[j],255-bright*Col[ColorSeq[pos+i]][j]);
          }
          delay(dly);
        }
      }
    }
  }
}
